Eclipse Platform Release 3.7

## org.eclipse.ui
Interface INavigationHistory

    public interface INavigationHistory

Manages a list of entries to keep a history of locations on editors, enabling the user to go back and forward without losing context. The history is a list of `INavigationLocation` and a pointer to the current location. Whenever the back or forward action runs the history restores the previous or next location. The back and/or forward actions should not change the content of the history in any way. If the user steps N times in one direction (back or forward) and then N times to the oposite direction, the editor and location should be exactly the same as before. Clients must guarantee that the current location is always in the history, which can be done either by marking a new location or by updating the current location. Not intended to be implemented by clients.

Since:
  2.1
Restriction:
  This interface is not intended to be implemented by clients.

Method Summary
`INavigationLocation` `getCurrentLocation()` Returns the current location.
`INavigationLocation[]` `getLocations()` Returns all entries in the history.
`void` `markLocation(IEditorPart part)` Mark the current location into the history.

Method Detail

### markLocation

    void markLocation(IEditorPart part)

  Mark the current location into the history. This message should be sent by clients whenever significant changes in location are detected. The location is obtained by calling `INavigationLocationProvider.createNavigationLocation`

  Parameters:
    `part` - the editor part

### getCurrentLocation

    INavigationLocation getCurrentLocation()

  Returns the current location.

  Returns:
    the current location

### getLocations

    INavigationLocation[] getLocations()

  Returns all entries in the history.

  Returns:
    all entries in the history

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.